Safe mode

In older versions of PHP, there was a system called "safe mode" that, when enabled, tried to limit what developers could do with the language. In practice, though, it simply wasn't up to much – sure, you could limit where files could be read from, and yes, you could limit what functions could be used, but bad programmers will always find ways to write bad scripts, so inevitably safe mode was removed in PHP 5.4 and so is almost certainly not available to you.

 

Next chapter: Protecting your data >>

Previous chapter: Understanding the concerns

Jump to:

 

Home: Table of Contents

Copyright ©2015 Paul Hudson. Follow me: @twostraws.